Add or remove dropdown choices
curl --request PATCH \
--url https://{companyName}.api.joinluminous.com/external/api/v1/custom-fields/{customFieldId}/choices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"add": [
"Enterprise"
],
"remove": [
"Legacy"
]
}
'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/custom-fields/{customFieldId}/choices"
payload = {
"add": ["Enterprise"],
"remove": ["Legacy"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({add: ['Enterprise'], remove: ['Legacy']})
};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/custom-fields/{customFieldId}/choices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"label": "Industry",
"type": "dropdown",
"object_types": [
"companies",
"products"
],
"options": {
"choices": [
"Retail",
"Wholesale",
"DTC"
],
"minLength": 0,
"maxLength": 255,
"helpText": "Choose the primary sales channel"
},
"category": "Merchandising",
"created_at": "2026-04-20T14:30:00Z",
"updated_at": "2026-04-20T14:30:00Z"
}
}{
"error": "Unauthorized",
"message": "Authentication credentials are missing or invalid",
"status_code": 401
}{
"error": "Forbidden",
"message": "You do not have permission to access this resource",
"status_code": 403
}{
"error": "Not Found",
"message": "The requested resource could not be found",
"status_code": 404
}{
"message": "<string>",
"errors": {}
}Custom Fields
Add or remove dropdown choices
Safely add and/or remove dropdown choices on a dropdown or multi_dropdown
custom field without resending the entire choice list. Only applies to fields
whose type is dropdown or multi_dropdown.
At least one of add or remove must be provided with at least one value.
Strings in add that already exist are ignored; strings in remove that
are not present are ignored.
PATCH
/
custom-fields
/
{customFieldId}
/
choices
Add or remove dropdown choices
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Path Parameters
The unique identifier of the custom field definition
Body
application/json
Response
Choices successfully updated; returns the full field definition
Show child attributes
Show child attributes